Bug 143542 - Unable to handle kernel NULL pointer dereference at virtual address 00000004
Unable to handle kernel NULL pointer dereference at virtual address 00000004
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 23:24 EST by satish
Modified: 2008-09-08 22:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 18:47:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description satish 2004-12-21 23:24:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3)
Gecko/20041001 Firefox/0.10.1

Description of problem:
Unmounting NFS filesystems:  VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
[  OK  ]
Saving random seed:  [  OK  ]
Stopping NFS statd: [  OK  ]
Stopping portmapper: [  OK  ]
Shutting down kernel logger: [  OK  ]
Shutting down system logger: [  OK  ]
Shutting down interface eth2:  [  OK  ]
Shutting down loopback interface:  [  OK  ]
Starting killall:  [  OK  ]
Sending all processes the TERM signal...
Sending all processes the KILL signal... RPC: sendmsg returned error 101
nfs: RPC call returned error 101
Unable to handle kernel NULL pointer dereference at virtual address
00000004
 printing eip:
c017b018
*pde = 00003001
*pte = 00000000
Oops: 0000
panfs nfsd lp parport nfs lockd sunrpc e100 floppy sg microcode
keybdev mousedev hid input usb-ohci usbcore aic7xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c017b018>]    Tainted: P
EFLAGS: 00010246

EIP is at destroy_inode [kernel] 0x28 (2.4.21-9.0.3.ELsmp/i686)
eax: 00000000   ebx: d39f5380   ecx: 00000000   edx: d39f5380
esi: dc9ba100   edi: d39f5380   ebp: 00000002   esp: d49b3e78
ds: 0068   es: 0068   ss: 0068
Process ksh (pid: 14113, stackpage=d49b3000)
Stack: d39f5380 dc9ba100 dc9ba118 c0179b6a d39f5380 d39f5380 d513a380
d513a380
       e09b5100 e09b52f0 c0179ec4 00000055 dbf1dc00 c01681a5 d513a380
c03c9f68
       c25ca4c0 00000002 d49b2000 00000009 c012c7cd dbf1dc00 d49b2000
d49b2000
Call Trace:   [<c0179b6a>] prune_dcache [kernel] 0x18a (0xd49b3e84)
[<e09b5100>] nfs_sops [nfs] 0x0 (0xd49b3e98)
[<e09b52f0>] nfs_fs_type [nfs] 0x0 (0xd49b3e9c)
[<c0179ec4>] shrink_dcache_parent [kernel] 0x24 (0xd49b3ea0)
[<c01681a5>] kill_super [kernel] 0x95 (0xd49b3eac)
[<c012c7cd>] do_exit [kernel] 0x1ed (0xd49b3ec8)
[<c012caab>] do_group_exit [kernel] 0x8b (0xd49b3ee4)
[<c013625a>] get_signal_to_deliver [kernel] 0x20a (0xd49b3ef8)
[<c010bdd4>] do_signal [kernel] 0x64 (0xd49b3f20)
[<c016f88c>] __user_walk [kernel] 0x5c (0xd49b3f70)
[<c016a90f>] sys_stat64 [kernel] 0x1f (0xd49b3f8c)
[<c0160472>] sys_llseek [kernel] 0xe2 (0xd49b3f94)

Code: 8b 48 04 85 c9 74 11 89 1c 24 ff 50 04 8b 5c 24 08 83 c4 0c

Kernel panic: Fatal exception

Syncing hardware clock to system time



Version-Release number of selected component (if applicable):
2.4.21-9.0.3.EL.i386

How reproducible:
Sometimes

Steps to Reproduce:
1. Occasional reboot 
2.
3.
    

Actual Results:  reboot hang 

Additional info:

Unmounting NFS filesystems:  VFS: Busy inodes after unmount.
Self-destruct in 5 seconds.  Have a nice day...
[  OK  ]
Saving random seed:  [  OK  ]
Stopping NFS statd: [  OK  ]
Stopping portmapper: [  OK  ]
Shutting down kernel logger: [  OK  ]
Shutting down system logger: [  OK  ]
Shutting down interface eth2:  [  OK  ]
Shutting down loopback interface:  [  OK  ]
Starting killall:  [  OK  ]
Sending all processes the TERM signal...
Sending all processes the KILL signal... RPC: sendmsg returned error 101
nfs: RPC call returned error 101
Unable to handle kernel NULL pointer dereference at virtual address
00000004
 printing eip:
c017b018
*pde = 00003001
*pte = 00000000
Oops: 0000
panfs nfsd lp parport nfs lockd sunrpc e100 floppy sg microcode
keybdev mousedev hid input usb-ohci usbcore aic7xxx sd_mod scsi_mod
CPU:    0
EIP:    0060:[<c017b018>]    Tainted: P
EFLAGS: 00010246

EIP is at destroy_inode [kernel] 0x28 (2.4.21-9.0.3.ELsmp/i686)
eax: 00000000   ebx: d39f5380   ecx: 00000000   edx: d39f5380
esi: dc9ba100   edi: d39f5380   ebp: 00000002   esp: d49b3e78
ds: 0068   es: 0068   ss: 0068
Process ksh (pid: 14113, stackpage=d49b3000)
Stack: d39f5380 dc9ba100 dc9ba118 c0179b6a d39f5380 d39f5380 d513a380
d513a380
       e09b5100 e09b52f0 c0179ec4 00000055 dbf1dc00 c01681a5 d513a380
c03c9f68
       c25ca4c0 00000002 d49b2000 00000009 c012c7cd dbf1dc00 d49b2000
d49b2000
Call Trace:   [<c0179b6a>] prune_dcache [kernel] 0x18a (0xd49b3e84)
[<e09b5100>] nfs_sops [nfs] 0x0 (0xd49b3e98)
[<e09b52f0>] nfs_fs_type [nfs] 0x0 (0xd49b3e9c)
[<c0179ec4>] shrink_dcache_parent [kernel] 0x24 (0xd49b3ea0)
[<c01681a5>] kill_super [kernel] 0x95 (0xd49b3eac)
[<c012c7cd>] do_exit [kernel] 0x1ed (0xd49b3ec8)
[<c012caab>] do_group_exit [kernel] 0x8b (0xd49b3ee4)
[<c013625a>] get_signal_to_deliver [kernel] 0x20a (0xd49b3ef8)
[<c010bdd4>] do_signal [kernel] 0x64 (0xd49b3f20)
[<c016f88c>] __user_walk [kernel] 0x5c (0xd49b3f70)
[<c016a90f>] sys_stat64 [kernel] 0x1f (0xd49b3f8c)
[<c0160472>] sys_llseek [kernel] 0xe2 (0xd49b3f94)

Code: 8b 48 04 85 c9 74 11 89 1c 24 ff 50 04 8b 5c 24 08 83 c4 0c

Kernel panic: Fatal exception

Syncing hardware clock to system time
Comment 3 Ernie Petrides 2005-04-15 21:13:55 EDT
A fix for this problem has just been committed to the RHEL3 U5
patch pool this evening (in kernel version 2.4.21-32.EL).
Comment 4 Tim Powers 2005-05-18 09:28:58 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html

Note You need to log in before you can comment on or make changes to this bug.